Plasma 5.4.95

epel9
Dan Vrátil 9 years ago
parent b97c5de4ed
commit 3b8e43656e

1
.gitignore vendored

@ -1,3 +1,4 @@
/plasma-workspace-5.4.1.tar.xz
/plasma-workspace-5.4.2.tar.xz
/plasma-workspace-5.4.3.tar.xz
/plasma-workspace-5.4.95.tar.xz

@ -1,5 +1,5 @@
diff --git a/containmentactions/contextmenu/menu.cpp b/containmentactions/contextmenu/menu.cpp
index fee6c7a..bea941c 100644
index a4e06f1..b7f684b 100644
--- a/containmentactions/contextmenu/menu.cpp
+++ b/containmentactions/contextmenu/menu.cpp
@@ -30,6 +30,7 @@
@ -19,14 +19,14 @@ index fee6c7a..bea941c 100644
m_lockScreenAction(0),
m_logoutAction(0),
@@ -74,7 +76,7 @@ void ContextMenu::restore(const KConfigGroup &config)
m_actionOrder << "add widgets" << "_add panel" << "lock widgets" << "_context" << "configure" << "remove";
m_actionOrder << QStringLiteral("add widgets") << QStringLiteral("_add panel") << QStringLiteral("lock widgets") << QStringLiteral("_context") << QStringLiteral("configure") << QStringLiteral("remove");
} else {
actions.insert("configure shortcuts", false);
- m_actionOrder << "_context" << "_run_command" << "add widgets" << "_add panel"
+ m_actionOrder << "_context" << "_run_konsole" << "_run_command" << "add widgets" << "_add panel"
<< "manage activities" << "remove" << "lock widgets" << "_sep1"
<<"_lock_screen" << "_logout" << "_sep2" << "run associated application" << "configure"
<< "configure shortcuts" << "_sep3" << "_wallpaper";
actions.insert(QStringLiteral("configure shortcuts"), false);
- m_actionOrder << QStringLiteral("_context") << QStringLiteral("_run_command") << QStringLiteral("add widgets") << QStringLiteral("_add panel")
+ m_actionOrder << QStringLiteral("_context") << QStringLiteral("_run_konsole") << QStringLiteral("_run_command") << QStringLiteral("add widgets") << QStringLiteral("_add panel")
<< QStringLiteral("manage activities") << QStringLiteral("remove") << QStringLiteral("lock widgets") << QStringLiteral("_sep1")
<<QStringLiteral("_lock_screen") << QStringLiteral("_logout") << QStringLiteral("_sep2") << QStringLiteral("run associated application") << QStringLiteral("configure")
<< QStringLiteral("configure shortcuts") << QStringLiteral("_sep3") << QStringLiteral("_wallpaper");
@@ -93,6 +95,10 @@ void ContextMenu::restore(const KConfigGroup &config)
// everything below should only happen once, so check for it
@ -36,16 +36,16 @@ index fee6c7a..bea941c 100644
+ connect(m_runKonsoleAction, &QAction::triggered, this, &ContextMenu::runKonsole);
+
m_runCommandAction = new QAction(i18nc("plasma_containmentactions_contextmenu", "Run Command..."), this);
m_runCommandAction->setIcon(QIcon::fromTheme("system-run"));
setGlobalActionShortcut(m_runCommandAction, "krunner", "run command");
m_runCommandAction->setIcon(QIcon::fromTheme(QStringLiteral("system-run")));
setGlobalActionShortcut(m_runCommandAction, QStringLiteral("krunner"), QStringLiteral("run command"));
@@ -158,6 +164,8 @@ QAction *ContextMenu::action(const QString &name)
if (c->corona() && c->corona()->immutability() == Plasma::Types::Mutable) {
return c->corona()->actions()->action("add panel");
return c->corona()->actions()->action(QStringLiteral("add panel"));
}
+ } else if (name == "_run_konsole") {
+ } else if (name == QLatin1String("_run_konsole")) {
+ return m_runKonsoleAction;
} else if (name == "_run_command") {
if (KAuthorized::authorizeKAction("run_command")) {
} else if (name == QLatin1String("_run_command")) {
if (KAuthorized::authorizeKAction(QStringLiteral("run_command"))) {
return m_runCommandAction;
@@ -185,6 +193,11 @@ QAction *ContextMenu::action(const QString &name)
return 0;
@ -58,7 +58,7 @@ index fee6c7a..bea941c 100644
+
void ContextMenu::runCommand()
{
if (!KAuthorized::authorizeKAction("run_command")) {
if (!KAuthorized::authorizeKAction(QStringLiteral("run_command"))) {
diff --git a/containmentactions/contextmenu/menu.h b/containmentactions/contextmenu/menu.h
index 36013dc..02b71e1 100644
--- a/containmentactions/contextmenu/menu.h

Binary file not shown.

@ -8,13 +8,13 @@
%global prison 1
%endif
Name: plasma-workspace
Summary: Plasma workspace, applications and applets
Version: 5.4.3
Release: 4%{?dist}
Name: plasma-workspace
Summary: Plasma workspace, applications and applets
Version: 5.4.95
Release: 1%{?dist}
License: GPLv2+
URL: https://projects.kde.org/projects/kde/workspace/plasma-workspace
License: GPLv2+
URL: https://projects.kde.org/projects/kde/workspace/plasma-workspace
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
@ -39,10 +39,6 @@ Patch11: plasma-workspace-5.3.0-set-fedora-default-look-and-feel.patch
Patch12: startkde.patch
Patch13: plasma-workspace-5.4.2-prison-qt5.patch
# reverted fix which should not have gone to 5.4 branch
# kdebz#355404
Patch14: fix-changing-visibility-systemtray-entries.patch
## upstreamable Patches
Patch1: kde-runtime-4.9.0-installdbgsymbols.patch
@ -50,7 +46,6 @@ Patch1: kde-runtime-4.9.0-installdbgsymbols.patch
## master branch Patches
Patch100: 0001-Proxy-Xembed-icons-to-SNI.patch
Patch105: 0005-Merge-xembed-SNI-proxy-updates.patch
# udev
BuildRequires: zlib-devel
@ -125,14 +120,14 @@ BuildRequires: kf5-kwallet-devel >= %{kf5_version}
BuildRequires: kf5-kxmlrpcclient-devel >= %{kf5_version}
BuildRequires: kf5-networkmanager-qt-devel >= %{kf5_version}
BuildRequires: kf5-plasma-devel >= %{kf5_version}
BuildRequires: kf5-plasma-devel >= %{kf5_version}
BuildRequires: kf5-threadweaver-devel >= %{kf5_version}
BuildRequires: kf5-ksysguard-devel >= %{version}
BuildRequires: kf5-kscreen-devel >= %{version}
BuildRequires: kf5-kwayland-devel >= %{version}
BuildRequires: libwayland-client-devel >= 1.3.0
BuildRequires: libwayland-server-devel >= 1.3.0
BuildRequires: libkscreen-qt5-devel >= %{version}
BuildRequires: kscreenlocker-devel >= %{version}
BuildRequires: kwin-devel
@ -353,11 +348,6 @@ sed -i -e "s|@DEFAULT_LOOKANDFEEL@|%{?default_lookandfeel}%{!?default_lookandfee
%if 0%{?prison}
%patch13 -p1 -b .prison-qt5
%endif
%patch14 -p1 -b .fix-changing-visibility-systemtray-entries
%patch100 -p1 -b .0001
%patch105 -p1 -b .0005
%build
mkdir %{_target_platform}
@ -446,9 +436,8 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%{_kf5_qtplugindir}/phonon_platform/kde.so
%{_kf5_qtplugindir}/kpackage/packagestructure/*.so
%{_kf5_plugindir}/kio/desktop.so
%{_kf5_plugindir}/kded/*.so
%{_kf5_qmldir}/org/kde/*
%{_libexecdir}/kcheckpass
%{_libexecdir}/kscreenlocker_greet
%{_libexecdir}/ksyncdbusenv
%{_libexecdir}/startplasma
%{_kf5_datadir}/ksmserver/
@ -465,17 +454,14 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%if 0%{?fedora} > 22
%{_kf5_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.twenty.three/
%endif
%{_kf5_datadir}/plasma/kcms/
%{_kf5_datadir}/solid/
%{_kf5_datadir}/kstyle/
%{_kf5_datadir}/kconf_update/*
%{_sysconfdir}/xdg/*.knsrc
%{_sysconfdir}/xdg/autostart/*.desktop
%{_datadir}/desktop-directories/*.directory
%{_datadir}/dbus-1/services/*.service
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/kservices5/*.protocol
%{_kf5_datadir}/kservices5/kded/*.desktop
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_datadir}/knotifications5/*.notifyrc
%{_kf5_datadir}/config.kcfg/*
@ -546,7 +532,6 @@ desktop-file-validate %{buildroot}%{_datadir}/applications/{plasma-windowed,org.
%{_libdir}/cmake/KSMServerDBusInterface/
%{_libdir}/cmake/LibKWorkspace/
%{_libdir}/cmake/LibTaskManager/
%{_libdir}/cmake/ScreenSaverDBusInterface/
%{_datadir}/dbus-1/interfaces/*.xml
%post drkonqi
@ -571,6 +556,9 @@ fi
%changelog
* Wed Nov 25 2015 Daniel Vrátil <dvratil@fedoraproject.org> - 5.4.95-1
- Plasma 5.4.95
* Tue Nov 17 2015 Rex Dieter <rdieter@fedoraproject.org> 5.4.3-4
- Unhelpful summary/description for drkonqi packages (#1282810)

@ -1 +1 @@
18fdce9f566050c0f2e7897b2e2df660 plasma-workspace-5.4.3.tar.xz
12a7126d8cb4bb1c451db079749bdf74 plasma-workspace-5.4.95.tar.xz

@ -1,5 +1,5 @@
diff --git a/startkde/startkde.cmake b/startkde/startkde.cmake
index cd1c40e..e62adfc 100644
index edf61f0..9854088 100644
--- a/startkde/startkde.cmake
+++ b/startkde/startkde.cmake
@@ -16,25 +16,22 @@ trap 'echo GOT SIGHUP' HUP
@ -142,7 +142,7 @@ index cd1c40e..e62adfc 100644
# Set a left cursor instead of the standard X11 "X" cursor, since I've heard
# from some users that they're confused and don't know what to do. This is
# especially necessary on slow machines, where starting KDE takes one or two
@@ -262,37 +174,15 @@ xset fp rehash
@@ -262,33 +174,15 @@ xset fp rehash
#
xsetroot -cursor_name left_ptr
@ -167,10 +167,6 @@ index cd1c40e..e62adfc 100644
-export XDG_DATA_DIRS
-
# Make sure that D-Bus is running
-# D-Bus autolaunch is broken
-if test -z "$DBUS_SESSION_BUS_ADDRESS" ; then
- eval `dbus-launch --sh-syntax --exit-with-session`
-fi
if $qdbus >/dev/null 2>/dev/null; then
: # ok
else
@ -181,7 +177,7 @@ index cd1c40e..e62adfc 100644
exit 1
fi
@@ -352,18 +242,16 @@ if test $? -ne 0; then
@@ -348,18 +242,16 @@ if test $? -ne 0; then
# Startup error
echo 'startkde: Could not sync environment to dbus.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
@ -203,7 +199,7 @@ index cd1c40e..e62adfc 100644
exit 1
fi
@@ -387,7 +275,7 @@ if test $? -eq 255; then
@@ -383,7 +275,7 @@ if test $? -eq 255; then
# Startup error
echo 'startkde: Could not start ksmserver. Check your installation.' 1>&2
test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null

Loading…
Cancel
Save